package com.microservices.wiki.mapper.members;


import com.microservices.wiki.domain.members.Members;
import org.apache.ibatis.annotations.Param;


public interface MembersMapper {

    int deleteByPrimaryKey(Integer id);

    int insert(Members record);

    int insertSelective(Members record);

    Members selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(Members record);

    int updateByPrimaryKey(Members record);

    int doesMemberExist(@Param("userId") Integer userId,@Param("projectId") Integer projectId);
}